Gecode::Int::Circuit::NodeInfo< View > Class Template Reference

Information required for non-recursive checking for a single scc. More...

`#include <base.hpp>`

## Public Attributes

int | min
int | low
int | pre
Int::ViewValues< View > | v

## Detailed Description

template<class View>
class Gecode::Int::Circuit::NodeInfo< View >

Information required for non-recursive checking for a single scc.

Definition at line 54 of file base.hpp.

## Member Data Documentation

## min

template<class View>

int Gecode::Int::Circuit::NodeInfo< View >::min

Definition at line 56 of file base.hpp.

## low

template<class View>

int Gecode::Int::Circuit::NodeInfo< View >::low

Definition at line 56 of file base.hpp.

## pre

template<class View>

int Gecode::Int::Circuit::NodeInfo< View >::pre

Definition at line 56 of file base.hpp.

## v

template<class View>

Int::ViewValues<View> Gecode::Int::Circuit::NodeInfo< View >::v

Definition at line 57 of file base.hpp.

The documentation for this class was generated from the following file:

- gecode/int/circuit/base.hpp